#include <kos.h>

static void sndserver_thread(void *blagh) {
	printf("sndserver: pid is %d\n", thd_get_current()->tid);
	sndoggvorbis_mainloop();
}

int sndoggvorbis_init() {
	printf("sndserver: initializing libtremor 1.0 [Tremor 20020902 based]\n");
	if (thd_create(sndserver_thread, NULL) != NULL) {
		/* Wait until the oggvorbis decoder thread is ready */
		sndoggvorbis_wait_start();
		printf("sndserver: successfully created thread\n");
		return 0;
	} else {
		printf("sndserver: error creating thread\n");
		return -1;
	}
}
